com.sun.source.tree

## Interface TypeCastTree

All Superinterfaces:
  ExpressionTree, Tree

    @Exported
    public interface TypeCastTree
    extends ExpressionTree

A tree node for a type cast expression. For example:

       ( type ) expression

Since:
  1.6
See The Java™ Language Specification:
  section 15.16

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getExpression()`
`Tree` `getType()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getType

    Tree getType()

#### getExpression

    ExpressionTree getExpression()